Package com.google.android.exoplayer2.video

## Class HevcConfig

- java.lang.Object
- - com.google.android.exoplayer2.video.HevcConfig

-     public final class HevcConfig
      extends Object

  HEVC configuration data.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `codecs` | An RFC 6381 codecs string representing the video format, or `null` if not known.
    `List<byte[]>` | `initializationData` | List of buffers containing the codec-specific data to be provided to the decoder, or `null` if not known.
    `int` | `nalUnitLengthFieldLength` | The length of the NAL unit length field in the bitstream's container, in bytes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HevcConfig` | `parse​(ParsableByteArray data)` | Parses HEVC configuration data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### initializationData

          @Nullable
          public final List<byte[]> initializationData

      List of buffers containing the codec-specific data to be provided to the decoder, or `null` if not known.
      See Also:
        `Format.initializationData`

    - #### nalUnitLengthFieldLength

          public final int nalUnitLengthFieldLength

      The length of the NAL unit length field in the bitstream's container, in bytes.

    - #### codecs

          @Nullable
          public final String codecs

      An RFC 6381 codecs string representing the video format, or `null` if not known.
      See Also:
        `Format.codecs`

  - ### Method Detail

    - #### parse

          public static HevcConfig parse​(ParsableByteArray data)
                                  throws ParserException

      Parses HEVC configuration data.
      Parameters:
        `data` - A `ParsableByteArray`, whose position is set to the start of the HEVC configuration data to parse.
      Returns:
        A parsed representation of the HEVC configuration data.
      Throws:
        `ParserException` - If an error occurred parsing the data.